%define		pkg	semver
Summary:	The semantic versioner for npm
Name:		nodejs-%{pkg}
Version:	2.2.1
Release:	1
License:	BSD
Group:		Development/Libraries
URL:		https://github.com/isaacs/node-semver
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	d62b593a3837b7f8f3056a5c1c8b2759
BuildRequires:	rpmbuild(macros) >= 1.634
BuildRequires:	sed >= 4.0
Requires:	nodejs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The semantic version comparison library for the Node.js package
manager (npm).

%prep
%setup -qc
mv package/* .

%{__sed} -i -e '1s,^#!.*node,#!/usr/bin/node,' bin/*
chmod a+rx bin/*

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{nodejs_libdir}/%{pkg}}
cp -a package.json %{pkg}.js bin $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
ln -s %{nodejs_libdir}/%{pkg}/bin/semver $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%attr(755,root,root) %{_bindir}/%{pkg}
%dir %{nodejs_libdir}/%{pkg}
%{nodejs_libdir}/%{pkg}/package.json
%{nodejs_libdir}/%{pkg}/semver.js
%dir %{nodejs_libdir}/%{pkg}/bin
%attr(755,root,root) %{nodejs_libdir}/%{pkg}/bin/semver
%changelog
* Wed Mar 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-semver.git;a=log;h=master

* Wed Mar 05 2014 Łukasz Kieś <kiesiu@pld-linux.org> 396262b
- updated to 2.2.1
- correct license

* Sat Mar 09 2013 Aria <aredridel@nbtsc.org> 55bb764
- v1.1.4

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> 38d6f3a
- v1.1.3

* Mon Dec 03 2012 Aria Stewart <aredridel@nbtsc.org> 25000f1
- Up to 1.1.1

* Sat Jun 16 2012 Elan Ruusamäe <glen@pld-linux.org> a3b3062
- package semver script as symlink so relative library loading could work

* Wed Jan 25 2012 Elan Ruusamäe <glen@pld-linux.org> a158042
- initial node pkgs for npm deps
  based on specs from http://nodejs.tchol.org/ repo

